function B9g(){yfd.call(this)}
function s9g(a,b,d,e){JFd.call(this,a,b,d);this.a=e}
function Qfh(a){var b;if(!a.k){b=new z9g((a1i(tde(a.a)),Ynj(vde(a.a))));a.k=b}return a.k}
function Pfh(a){var b;if(!a.j){b=new s9g(TEd(Qbe(a.a)),Qfh(a),Ofh(a),oLg(Jce(a.a)));dFd((Rbe(a.a),b),aGd(Rbe(a.a)));a.j=b}return a.j}
function z9g(){Qyf.call(this,F2b);this.a=new Nzf(F2b,this);this.o="Provides translation services for physical sources, which can be integrated using a Teiid's VDB"}
h3c(4504,1007,oyj,s9g);_.Qi=function(){};_.Vi=function(){this.A.Ar()};_.Zi=function(){uuf(this.a,this)};h3c(4507,2859,rzj,z9g);_.Ah=function(){return Iyf(this)};_.xr=function(){return this.a};_.yr=function(){return f6j};_.Cr=function(){var a;a=new d$f(this.n);P0d(a,zGj,K0d($L(i2c,ixj,264,[U0i(x0i(this.r,GAj),$L(H1c,ixj,236,[])),U0i(x0i(this.r,AYj),$L(H1c,ixj,236,[]))])));return a};_.Gr=function(){var a,b;b=new Eqg(5);i7c(b,new y2g,WHj);a=new B9g;w7c(b,b.u.b,a,new Afd(iZj));return b};h3c(4508,676,Yxj,B9g);_.md=function(a){return a.hL()};h3c(4575,1,Wyj);_.pd=function(){BGd(this.b,Pfh(this.a.a))};var v1b=zNd(4504),x1b=zNd(4507),w1b=zNd(4508);Kzj(_o)(18);